脚本宝典收集整理的这篇文章主要介绍了

Error:java.lang.UnsupportedClassVersionError…解决方案

脚本宝典小编觉得挺不错的,现在分享给大家,也给大家做个参考,希望能帮助你少写一行代码,多一份安全和惬意。

最近升级了Android Studio,发现出现了三次同样的错误Error:java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0,刚开始没注意,这次新建了一个新工程也发生报错,于是找了下原因。现在将解决方法记录下来,希望也能帮助遇到同样错误的同学。

下面是运行时候报错的截图:
图片描述

字面意思就是版本号不对,究其原因发现是buildToolsVersion的事。我的buildToolsVersion是24.0.1
图片描述

将buildToolsVersion从24.0.1修改为23.0.2再次build运行就正常了(改成其他也可以,没亲测)。

图片描述

下面就是改完后的运行结果:

图片描述

好了,如果你也遇到了同样的问题,那就试试这个方案吧。

欢迎共同学习与交流!

总结

以上是脚本宝典为你收集整理的

Error:java.lang.UnsupportedClassVersionError…解决方案

全部内容,希望文章能够帮你解决

Error:java.lang.UnsupportedClassVersionError…解决方案

所遇到的程序开发问题,欢迎加入QQ群277859234一起讨论学习。如果觉得脚本宝典网站内容还不错,欢迎将脚本宝典网站推荐给程序员好友。 本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。如您有任何意见或建议可联系处理。小编QQ:384754419,请注明来意。

80%的人都看过